×

Discussion Board

Results 1 to 7 of 7
  1. #1
    Registered User
    Join Date
    Jan 2011
    Posts
    6

    "package qt is not available for your device" issue

    I'm a new comer for the Qt based symbian application development. I created an example, for getting Qt libraries support, I included the smart installer into my sis file by following smart installer manual, then I got a sis file named <APP>_installer.sis.
    When I tried to execute this installer package on my phone(E72), first it installed Smart installer(0.24) successfully, then installed "ovjeravanje komponti(I am not sure what's that)", it seems something wrong, so went to "restore setting"(it's in chinese, maybe not accurate), then I got error: package qt (0x2001E61C 4.06.3) is not available for your device
    Does anyone know the reason ? and How to correct this problem ?

  2. #2
    Nokia Developer Moderator
    Join Date
    Sep 2004
    Location
    Tampere, Finland
    Posts
    11,359

    Re: "package qt is not available for your device" issue

    Hi jastang,

    please download version 1.1 of the Smart Installer (build 0.46) from http://tinyurl.com/SmartInstaller and replace the smartinstaller.sis component from your Nokia Qt SDK (c:\NokiaQtSDK\Symbian\SDK) with this new version. Keep the name as smartinstaller.sis so that it matches the expectations of the generated '.pkg files.

    This should solve the wrong translation issue for the "Verifying components" message and hopefully also solve the other reported issue.

    If the problem persists, please collect the logs (info in the same wiki page indicated above) and look there for more details about what the component does.
    -- Lucian

    If you are not yet a DVLUP member it is time to correct that mistake :) Click here to join: http://www.dvlup.com/lucian/Invite

  3. #3
    Registered User
    Join Date
    Jan 2011
    Posts
    6

    Re: "package qt is not available for your device" issue

    Hi Itomuta,
    I tried this new version smart installer, good thing is that there is no internationalize problem. But this "package qt is not avaiable for your device" still exist. When I installed <app>_installer.sis with the new smart installer, I also got "download error". It seems that this smart installer is not stable enough.
    Btw, why does Nokia not put the qt related libraries to device by default?

  4. #4
    Nokia Developer Moderator
    Join Date
    Sep 2004
    Location
    Tampere, Finland
    Posts
    11,359

    Re: "package qt is not available for your device" issue

    Quote Originally Posted by jastang View Post
    Hi Itomuta,
    I tried this new version smart installer, good thing is that there is no internationalize problem. But this "package qt is not avaiable for your device" still exist. When I installed <app>_installer.sis with the new smart installer, I also got "download error". It seems that this smart installer is not stable enough.
    Failure on one particular case is not a very good stability indicator. After all, we're talking about a complex system, in which many factors are relevant (bearer used, IAP settings, network conditions, servers ...). Please collect the logs from the phone and send them at ltomuta@ovi.com
    Quote Originally Posted by jastang View Post
    Btw, why does Nokia not put the qt related libraries to device by default?
    It is not at all an easy task to create and distribute new firmwares with Qt included to all Nokia's devices.
    -- Lucian

    If you are not yet a DVLUP member it is time to correct that mistake :) Click here to join: http://www.dvlup.com/lucian/Invite

  5. #5
    Registered User
    Join Date
    Jan 2012
    Posts
    46

    Re: "package qt is not available for your device" issue

    It's maybe old thread but, I have the same problem. I create sis file with smart installer then install it to my nokia5800 it works fine. Then I try it at E71 and have this message. E71 phone is in another city, I send them sis file but, they tell me it gives that error message package qt (0x2001E61C 4.07.3) is not available for your device. Is there a solution found for this?

  6. #6
    Regular Contributor
    Join Date
    Nov 2009
    Posts
    200

    Re: "package qt is not available for your device" issue

    E71 supports qt only up to version 4.6

    http://qt-project.org/wiki/Support_for_Symbian

  7. #7
    Nokia Developer Moderator
    Join Date
    Sep 2004
    Location
    Tampere, Finland
    Posts
    11,359

    Re: "package qt is not available for your device" issue

    The same information is available in the Smart Installer wiki pages ( http://nokia.ly/SmartInstaller )
    -- Lucian

    If you are not yet a DVLUP member it is time to correct that mistake :) Click here to join: http://www.dvlup.com/lucian/Invite

Similar Threads

  1. Qt SDK "Create package" and executable name
    By virne in forum Nokia N9
    Replies: 1
    Last Post: 2010-08-23, 07:07
  2. Replies: 38
    Last Post: 2010-07-15, 13:47
  3. Replies: 1
    Last Post: 2008-08-26, 10:56

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
×